Retrieve all metadata fields for an analysis model
curl --request GET \
--url https://api.example.com/v1/models/{model_id}/metadata \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/models/{model_id}/metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/models/{model_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"client_prompt_template_id": 1,
"key": "campaign",
"readable_name": "Campaign Name",
"type": "STRING",
"grouping_field": true,
"enabled": true,
"created_at": "2026-01-11T10:00:00Z",
"created_by": "client_abc123"
}
]{
"code": "001-001-0001",
"message": "The requested resource was not found"
}{
"code": "001-001-0001",
"message": "The requested resource was not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Model Metadata
Listar Metadata
Returns a list of all active metadata fields configured for a specific analysis model.
Metadata defines additional information required when submitting calls for analysis (e.g., campaign, department, or any contextual data not from the audio file). Results are ordered alphabetically by key.
Requires scope: read:model-metadata
GET
/
v1
/
models
/
{model_id}
/
metadata
Retrieve all metadata fields for an analysis model
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The analysis model ID
Response
Successful Response
Unique identifier
Example:
1
Parent model ID
Example:
1
Metadata key
Example:
"campaign"
Human-readable display name
Example:
"Campaign Name"
Data type
Available options:
STRING, INTEGER, DECIMAL, BOOLEAN, DATE, TIME, DATETIME Whether used for dashboard grouping
Example:
false
Whether the metadata is active
Creation timestamp
Creator identifier
Last update timestamp
Last updater identifier
